%define anolis_release 2

Name:           perl-Text-Template
Version:        1.61
Release:        %{anolis_release}%{dist}
Summary:        Expand template text with embedded Perl
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Text-Template
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSCHOUT/Text-Template-%{version}.tar.gz

BuildRequires:  coreutils findutils
BuildRequires:  gcc gcc-c++ make autoconf
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires:  perl(base) perl(Carp) perl(Exporter)
BuildRequires:  perl(Encode) perl(File::Temp) perl(lib) perl(Test::More) >= 0.94 perl(utf8) perl(vars)
Requires:       perl-libs perl(Carp)
BuildArch:      noarch

%description
perl-Text-Template is a library for generating form letters, building HTML pages, 
or filling in templates generally. A `template' is a piece of text that 
has little Perl programs embedded in it here and there. 
When you `fill in' a template, you evaluate the little programs 
and replace them with their values.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
The perl-Text-Template-doc package contains documentation files for perl-Text-Template.

%prep
%autosetup -n Text-Template-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install

find $RPM_BUILD_ROOT -type f -name .packlist -delete
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'

chmod -R u+w $RPM_BUILD_ROOT/*


%check
unset AUTHOR_TESTING
make test


%files
%{perl_vendorlib}/Text/
%{_mandir}/man3/*.3pm*
%license LICENSE

%files doc
%doc README

%changelog
* Wed Apr 12 2023 chen_yu_ao <m15927409890@163.com> - 1.61-2
- change spec file format

* Fri Feb 10 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.61-1
- update to version 1.61
 
* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.60-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.60-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.60-1
- Init package from upstream v1.60
